// the arrow objects

#ifndef __ARROW_H__
#define __ARROW_H__


#include "thinglist.h"



// the arrow class
class Arrow : public Thing
{
public:
	Arrow(double x, double y, double vx, double vy);
	
	// update and render handlers
	bool update();
	void render(BITMAP *bmp);

	Vector mVel;

	int mBounces;
};



// global list of all arrows
extern ThingList<Arrow> arrows;




#endif		// __ARROW_H__


