#include "main.h"
#include "bitmaps.h"

BITMAP *bmp_alys,
    *bmp_beaver,
    *bmp_damyan,
    *bmp_dickie,
    *bmp_elf23,
    *bmp_elwick,
    *bmp_fizzy,
    *bmp_george,
    *bmp_harvey,
    *bmp_j,
    *bmp_jon,
    *bmp_mark,
    *bmp_masterofmantis,
    *bmp_scabbydog,
    *bmp_shawn,
    *bmp_smokey,
    *bmp_gameover;


void init_bitmaps()
{
    extern BITMAP* make_bitmap_alys();
    extern BITMAP* make_bitmap_beaver();
    extern BITMAP* make_bitmap_damyan();
    extern BITMAP* make_bitmap_dickie();
    extern BITMAP* make_bitmap_elf23();
    extern BITMAP* make_bitmap_elwick();
    extern BITMAP* make_bitmap_fizzy();
    extern BITMAP* make_bitmap_george();
    extern BITMAP* make_bitmap_harvey();
    extern BITMAP* make_bitmap_j();
    extern BITMAP* make_bitmap_jon();
    extern BITMAP* make_bitmap_mark();
    extern BITMAP* make_bitmap_masterofmantis();
    extern BITMAP* make_bitmap_scabbydog();
    extern BITMAP* make_bitmap_shawn();
    extern BITMAP* make_bitmap_smokey();
    extern BITMAP* make_bitmap_gameover();

    bmp_alys = make_bitmap_alys();
    bmp_beaver = make_bitmap_beaver();
    bmp_damyan = make_bitmap_damyan();
    bmp_dickie = make_bitmap_dickie();
    bmp_elf23 = make_bitmap_elf23();
    bmp_elwick = make_bitmap_elwick();
    bmp_fizzy = make_bitmap_fizzy();
    bmp_george = make_bitmap_george();
    bmp_harvey = make_bitmap_harvey();
    bmp_j = make_bitmap_j();
    bmp_jon = make_bitmap_jon();
    bmp_mark = make_bitmap_mark();
    bmp_masterofmantis = make_bitmap_masterofmantis();
    bmp_scabbydog = make_bitmap_scabbydog();
    bmp_shawn = make_bitmap_shawn();
    bmp_smokey = make_bitmap_smokey();
    bmp_gameover = make_bitmap_gameover();

}
